<ion-view  >
  <ion-nav-title> {{team.name}} </ion-nav-title>
  <ion-nav-buttons side="right">
    <button ng-if="team.is_creator" class="button button-icon icon ion-android-person-add" ng-click="openAddMemberModal()"></button>
  </ion-nav-buttons>
  <ion-content> 
	<ion-refresher on-refresh="doRefresh()"></ion-refresher>  
    <ion-list can-swipe="true">
      <ion-item ng-repeat="member in members" class="item-avatar"> 
		<img ng-src="{{ member.photo }}" class="team_img" alt="profile_picture" ng-if="member.photo" width="50" height="50">
		<img src="img/system/default-user.png"  alt="profile_picture" ng-if="!member.photo"  width="50" height="50">		
        <h2>{{member.full_name}}</h2>
        <p>{{member.position}}</p>
        <ion-option-button class="button-assertive" ng-click="removeUser(member.$id)">
          Remove <br> User
        </ion-option-button>
        <ion-option-button class="button-calm"
        ng-click="updatePosition(member.$id)">
          Update <br/>Position
        </ion-option-button>
      </ion-item>
    </ion-list>
    <!-- Search Modal -->
   <script id="search-member-modal.html" type="text/ng-template">
      <ion-modal-view>
        <ion-header-bar class="bar-assertive">
          <h1 class="title">Add Member</h1>
          <div class="buttons">
            <button class="button button-icon icon ion-close-round" ng-click="closeAddMemberModal()"></button>
          </div>
        </ion-header-bar>
        <ion-content class="padding">
		<div>
		  <span class="searchtext">Search By:</span> 
          <ion-radio class="radio radio-inline radio-primary customRadio" ng-model="u.search_criteria" ng-value="'name'">Name</ion-radio> 		  
          <ion-radio class="radio radio-inline radio-primary customRadio" ng-model="u.search_criteria" ng-value="'did'">Dayo ID</ion-radio>
        </div>		
          <div class="list">
            <label class="item item-input">
                <i class="icon ion-search placeholder-icon"></i>
              <input type="search" placeholder="Search" ng-model="u.search">
            </label> 
          </div> 

          <div ng-show="userData" class="card userData" >
            <div class="item item-divider">
              Search Result
            </div>
            <div class="item item-text-wrap">
              <div class="list" ng-click="addMember(u.data.$id)">
				  <div class="item item-thumbnail-left item-button-right">
					  <img ng-src="{{ u.data.photo }}" class="team_img" alt="team_logo" ng-if="u.data.photo" width="50" height="50">
					  <img src="img/system/default-user.png" class="team_img" alt="team_logo" ng-if="!u.data.photo"  width="50" height="50">
					  <span>{{ u.data.full_name }}</span>
					  <span>{{ u.data.did }}</span>
					  <button class="button button-custom" ng-click="addMember(u.data.$id)">
						<i class="icon ion-person-add"></i>
					  </button>				   
				  </div> 
              </div>
            </div>	 
          </div> 
          <div class="card userListData" ng-show="userListData"  >
            <div class="item-divider">
              Search Result
            </div>
            <div class="item item-text-wrap">
              <div class="list">
				  <div class="item item-thumbnail-left item-button-right" ng-repeat="uf in users_found">
					  <img ng-src="{{ uf.photo }}" class="team_img" alt="team_logo" ng-if="uf.photo" width="50" height="50">
					  <img src="img/system/default-user.png" class="team_img" alt="team_logo" ng-if="!uf.photo"  width="50" height="50">
					  <span>{{ uf.full_name }}</span>
					  <button class="button button-custom" ng-click="addMember(uf.$id)">
						<i class="icon ion-person-add"></i>
					  </button>				   
				  </div> 
              </div>
            </div>
          </div>
        </ion-content>
      </ion-modal-view>
      <!-- Add Team Modal -->    
  </ion-content>
</ion-view>